net.minecraft.world.demo

## Class DemoWorldServer

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.world.WorldServer
    - - net.minecraft.world.demo.DemoWorldServer

- All Implemented Interfaces:
    IBlockAccess

      public class DemoWorldServer
      extends WorldServer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WorldSettings` | `demoWorldSettings`

    - ### Fields inherited from class net.minecraft.world.WorldServer

      `bonusChestContent, customTeleporters, doneChunks, levelSaving, theChunkProviderServer`

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, chunkProvider, difficultySetting, DIST_HASH_MAGIC, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, saveHandler, scheduledUpdatesAreImmediate, skylightSubtracted, spawnHostileMobs, spawnPeacefulMobs, theProfiler, thunderingStrength, unloadedEntityList, updateLCG, villageCollectionObj, villageSiegeObj, weatherEffects, worldAccesses, worldInfo, worldScoreboard`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DemoWorldServer(MinecraftServer p_i45282_1_, ISaveHandler p_i45282_2_, java.lang.String p_i45282_3_, int p_i45282_4_, Profiler p_i45282_5_)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.world.WorldServer

      `addBlockEvent, addWeatherEffect, areAllPlayersAsleep, canMineBlock, canMineBlockBody, createBonusChest, createChunkProvider, createSpawnPosition, flush, func_147446_b, func_147456_g, func_147486_a, func_147487_a, func_73046_m, getChunkSaveLocation, getDefaultTeleporter, getEntityByID, getEntityTracker, getEntrancePortalLocation, getPendingBlockUpdates, getPlayerManager, initialize, isBlockTickScheduledThisTick, newExplosion, onEntityAdded, onEntityRemoved, resetUpdateEntityTick, saveAllChunks, saveChunkData, saveLevel, scheduleBlockUpdate, scheduleBlockUpdateWithPriority, setEntityState, setSpawnLocation, spawnRandomCreature, tick, tickUpdates, updateAllPlayersSleepingFlag, updateEntities, updateEntityWithOptionalForce, updateWeather, wakeAllPlayers`

    - ### Methods inherited from class net.minecraft.world.World

      `addLoadedEntities, addTileEntity, addWorldAccess, addWorldInfoToCrashReport, blockExists, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canPlaceEntityOnSide, canSnowAtBody, checkBlockCollision, checkChunksExist, checkNoEntityCollision, checkNoEntityCollision, checkSessionLock, chunkExists, countEntities, countEntities, createExplosion, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, finishSetup, func_147447_a, func_147448_a, func_147450_X, func_147451_t, func_147453_f, func_147457_a, func_147461_a, func_147462_b, func_147467_a, func_147469_q, func_147470_e, func_147473_B, func_147478_e, func_147479_m, func_147480_a, func_82738_a, getActualHeight, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlock, getBlockDensity, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMetadata, getBlockPowerInput, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkHeightMapMinimum, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCloudColour, getCollidingBoundingBoxes, getCurrentDate, getCurrentMoonPhaseFactor, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getIndirectPowerLevelTo, getIndirectPowerOutput, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getScoreboard, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getStrongestIndirectPower, getSunBrightness, getTileEntity, getTopBlock, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockNormalCubeDefault, isBlockProvidingPowerTo, isDaytime, isMaterialInBB, isRaining, isSideSolid, isSideSolid, isThundering, joinEntityInSurroundings, loadItemData, makeFireworks, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityChunkModified, notifyBlockChange, notifyBlockOfNeighborChange, notifyBlocksOfNeighborChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playBroadcastSound, playRecord, playSound, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks, rayTraceBlocks, removeEntity, removePlayerEntityDangerously, removeTileEntity, removeWorldAccess, selectEntitiesWithinAABB, sendQuittingDisconnectingPacket, setActivePlayerChunksAndCheckLight, setAllowedSpawnTypes, setBlock, setBlock, setBlockMetadataWithNotify, setBlockToAir, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setThunderStrength, setTileEntity, setWorldTime, spawnEntityInWorld, spawnParticle, unloadEntities, updateEntity, updateLightByType, updateWeatherBody`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### demoWorldSettings

          public static final WorldSettings demoWorldSettings

  - ### Constructor Detail

    - #### DemoWorldServer

          public DemoWorldServer(MinecraftServer p_i45282_1_,
                         ISaveHandler p_i45282_2_,
                         java.lang.String p_i45282_3_,
                         int p_i45282_4_,
                         Profiler p_i45282_5_)